- Qt 6.9
- Qt Core
- C++ Classes
- QItemSelectionRange
- Qt 6.9.2 Reference Documentation

# QItemSelectionRange Class

The QItemSelectionRange class manages information about a range of selected items in a model. More...

Header: | `#include <QItemSelectionRange>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`

- List of all members, including inherited members

This class is equality-comparable.

## Public Functions

QModelIndexList | indexes() const
bool | isEmpty() const

## Detailed Description

A QItemSelectionRange contains information about a range of selected items in a model. A range of items is a contiguous array of model items, extending to cover a number of adjacent rows and columns with a common parent item; this can be visualized as a two-dimensional block of cells in a table. A selection range has a top(), left() a bottom(), right() and a parent().

The QItemSelectionRange class is one of the Model/View Classes and is part of Qt's model/view framework.

The model items contained in the selection range can be obtained using the indexes() function. Use QItemSelectionModel::selectedIndexes() to get a list of all selected items for a view.

You can determine whether a given model item lies within a particular range by using the contains() function. Ranges can also be compared using the overloaded operators for equality and inequality, and the intersects() function allows you to determine whether two ranges overlap.

See also Model/View Programming, QAbstractItemModel, QItemSelection, and QItemSelectionModel.

## Member Function Documentation

### QModelIndexList QItemSelectionRange::indexes() const

Returns the list of model index items stored in the selection.

### bool QItemSelectionRange::isEmpty() const

Returns `true` if the selection range contains either no items or only items which are either disabled or marked as not selectable.